package ru.ulstu.timeline.model;

import java.time.Period;

public enum PeriodEvent {
    EVERY_YEAR(Period.ofYears(1), "Каждый год"),
    EVERY_MONTH(Period.ofMonths(1), "Каждый месяц"),
    EVERY_WEEK(Period.ofWeeks(1), "Каждую неделю"),
    EVERY_DAY(Period.ofDays(1), "Каждый день");

    private Period period;
    private String message;

    PeriodEvent(Period period, String message) {
        this.period = period;
        this.message = message;
    }

    public Period getPeriod() {
        return period;
    }

    public String getMessage() {
        return message;
    }
}
